include $(ROOT)/mk/arch/toolchain-x86_64.mk

CFLAGS += -m64 \
					-fPIE \
					-mno-80387 \
					-mno-mmx \
					-mno-sse \
					-nostartfiles \
					-nostdlib \
					-mno-sse2 \
					-mno-red-zone \
					-fno-stack-protector \
					-fno-stack-check \
					-O0 \

LDFLAGS += -m elf_x86_64 \
					-pie \
					--no-dynamic-linker \
					-z text \
					-z max-page-size=0x1000

